
.fuel-calculator,
.fuel-calculator * {

    box-sizing:border-box;

}



.fuel-calculator {


    width:100%;

    display:grid;

    grid-template-columns:
        180px
        minmax(0,1fr)
        230px;


    gap:25px;

    align-items:start;


}




/* ===== КНОПКИ ===== */


.calc-sidebar {


    display:flex;

    flex-direction:column;

    gap:10px;


}



.calc-tab {


    width:100%;

    padding:15px;

    border:none;

    border-radius:10px;

    cursor:pointer;

    background:#eee;

    font-weight:700;

    text-align:left;
    
    font-size:20px;


}



.calc-tab.active {


    background:#2d6cdf;

    color:white;


}






/* ===== ПОЛЯ ===== */


.calc-inputs {


    min-width:0;

}



.calc-inputs label {


    display:block;

    margin-top:15px;

    margin-bottom:7px;

    font-weight:700;


}




.calc-inputs input,
.calc-inputs select {


    display:block;

    width:100%;

    max-width:100%;


    padding:13px;


    border-radius:10px;

    border:1px solid #ccc;


    font-size:17px;

    background:white;


}





/* ===== РЕЗУЛЬТАТ ===== */


.calc-result {


    background:#f7f8fa;


    border-radius:15px;


    padding:25px;


    text-align:center;


    min-height:150px;


}



.result-title {


    color:#777;

    font-size:30px;


}



.result-value {


    margin-top:15px;


    font-size:40px;


    font-weight:900;


    color:#27ae60;
    white-space: nowrap;


}



.result-info {


    margin-top:15px;

    color:#666;

    font-size:18px;


}